const o = /font-weight:\s*normal/, i = ["P", "OL", "UL"], l = (e) => e && i.includes(e.tagName), a = (e) => {
  Array.from(e.querySelectorAll("br")).filter((t) => l(t.previousElementSibling) && l(t.nextElementSibling)).forEach((t) => {
    var r;
    (r = t.parentNode) == null || r.removeChild(t);
  });
}, c = (e) => {
  Array.from(e.querySelectorAll('b[style*="font-weight"]')).filter((t) => {
    var r;
    return (r = t.getAttribute("style")) == null ? void 0 : r.match(o);
  }).forEach((t) => {
    var n;
    const r = e.createDocumentFragment();
    r.append(...t.childNodes), (n = t.parentNode) == null || n.replaceChild(r, t);
  });
};
function m(e) {
  e.querySelector('[id^="docs-internal-guid-"]') && (c(e), a(e));
}
export {
  m as default
};
